<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	
	CheckCallIsCorrect();

	global $HTTP_POST_VARS, $REQUEST_METHOD;

	$msg = "";
	
	//
	// Define default values
	
	if( $REQUEST_METHOD == 'GET' )
	{	
		if( file_exists('data/archive_options.inc') )
		{
			include ('data/archive_options.inc');
			$archive_Header = stripslashes( $archive_Header );
			$archive_Footer = stripslashes( $archive_Footer );
					
		}
		else
		{			
			$archive_Header = "";
			$archive_Footer = "";
		}
	}
	elseif( $REQUEST_METHOD == 'POST' )
	{
		$archive_Header = trim( $HTTP_POST_VARS['archive_Header'] );
		$archive_Footer = trim( $HTTP_POST_VARS['archive_Footer'] );
		
		if( $msg == "" && !IsDemo() )
		{
			$optfile = fopen("./data/archive_options.inc","wb+");
			
			$str = "<?php\n";
			$str = $str . "\t" . '$archive_Header=stripslashes(' . "'$archive_Header');\n";
			$str = $str . "\t" . '$archive_Footer=stripslashes(' . "'$archive_Footer');\n";
			$str = $str . "?>";
			
			fwrite( $optfile, $str );
			
			fclose( $optfile );
			
			print "<p align=center class=varningText>Settings saved.</p>";
		}
		elseif( !IsDemo() )
		{
			print "Next errors were detected:\n";
			print "<UL>\n";
			print $msg;
			print "</UL>\n";
		}
		else
			print "<p align=center class=varningText>You can not update archive options in as guest. Options were not saved.</p>";
		
		// Fix variables from Web
		$archive_Header = stripslashes( $archive_Header );
		$archive_Footer = stripslashes( $archive_Footer );
		
	}
?>

<form name="edit_form" method="post" action="<?=$target;?>">

<table width=99% border=0 cellpadding="10" cellspacing="0" class="bodyText">
		
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Archive Header and Footer</b></td></tr>
	
	<tr>
		<td width=150 valign=top>Default archive header:</td>
		<td width="*">
			<textarea name="archive_Header" cols=70 rows="7" wrap="virtual"><?=$archive_Header?></textarea>
		</td>
	</tr>
		
	<tr>
		<td valign=top>Default archive footer:</td>
		<td>
			<textarea name="archive_Footer" cols=70 rows="7" wrap="virtual"><?=$archive_Footer?></textarea>
		</td>
	</tr>
	<tr><td colspan=2 height="1">&nbsp;</td></tr>
	
	
	
	
	
	
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
	
	
	<tr>
		<td colspan=2 align=left>
			<input type=submit name=Update value=Update>
		</td>
	</tr>
</table>
</form>