<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	CheckCallIsCorrect();

	include_once ('class/MailList.class.inc');
	include_once ('class/UploadForm.class.inc');

	global $HTTP_POST_VARS, $folders, $active_folder;
	
	if( !isset( $active_folder ) )
	{
		echo "<font class=bodyText>You should define though one maillist first.<br>
		Please, go to the menu <a href=\"MailManager.php?mid=0\">Folders/Manage</a> and add the maillist.
		</font>";
		exit;		
	}

	if( !file_exists('data/options.inc') )
	{
		print <<<END
		<p class=bodyText>Can not find option file. You should choose menu <b>Mail Options</b> and click <b>Update</b> button.</p>
END;
		exit();
	}

	$list = new MailList ( 1 ) ;
	
	if( $list->has_mails == false )
	{
		print <<<END
		<p class=bodyText>There is no any enabled E-Mail address. Use <b>Add Address</b> menu option to add new E-Mail address or
			<b>Edit List</b> menu option to enable existing.</p>
END;
		return;
	}
	
	$upload = new UploadForm( 'upload' );
?>

<script language="JavaScript" src="send.js">
</script>

<form name="edit_form" method="post" action="<?=$target;?>">
<input type=hidden name="ctx" value="1">

<?php
	$upload->PrintUploadID();

	foreach ($HTTP_POST_VARS as $var => $value)
	{
		if( $value != "" &&
			(
				strstr( $var, 'Attachment' ) == $var ||
				$var == 'FromName0' ||
				$var == 'FromAddr0' ||
				$var == 'ReplyToName0' ||
				$var == 'ReplyToAddr0' ||
				$var == 'Charset0' ||
				$var == 'MessageFormat0' ||
				$var == 'Subject0' ||
				$var == 'IncludeHeader' ||
				$var == 'IncludeFooter' ||
				$var == 'MessageText' ||
				$var == 'SendStyle'
			)
		  )
		{
			if( $var == 'Subject0' ||
				$var == 'MessageText' )
				$value0 = base64_encode( $value );
			else
				$value0 = $value;
			print <<<END
			<input type=hidden name="$var" value="$value0">

END;
		}
	}
?>

<font  class=bodyText>Enter <b>To</b> address here&nbsp;&nbsp;<input type=text name="CustomTo" value="<?=$HTTP_POST_VARS['CustomTo']?>" size=50>
or select using check boxes.</font>
<p>
<table width=90% class=BodyText>
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
<?
	$index = 1;
	foreach( $list->mails as $key => $mail )
	{
		if( $mail->mail_disabled )
			continue;
	
		$check = "";
		if( isset($HTTP_POST_VARS["mailto$index"]) )
			$check = "checked";
	
		print <<<END
	<tr>
		<td colspan=2 class=BlackText>
		<input type=checkbox name="mailto$index" value="key$key" $check>
		$mail->desc &lt;$mail->email&gt;
		</td>
	</tr>
END;
		$index++;
	}
?>
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
	<tr>
		<td>
			<input name="selall" type=checkbox value="Select All" onclick="javascript:SelectAll_To();">
			<font color="red" size=-1>Select All</font>
		</td>
		<td align=right>
			<input type=submit name="Next" value=Next>
		</td>
	</tr>
</table>
</form>
