<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
		
	include_once ('data/options.inc');
	include_once ('init.php');
	include_once ('class/utils.php');
	include_once ('class/MailList.class.inc');
	global $_POST, $REQUEST_METHOD, $folders, $active_folder;
	
	if ( isset ( $_GET['folder'] ) )
		$_POST['folder'] = $_GET['folder'];
		
	if ( isset ( $_GET['name'] ) )
		$_POST['name'] = $_GET['name'];
	
	if ( isset ( $_GET['email'] ) )
		$_POST['email'] = $_GET['email'];
	
	if ( isset ( $_GET['add'] ) )
		$_POST['add'] = $_GET['add'];
	
	
	if( isset ( $_POST['email'] ) )
	{
		include_once ('class/MailList.class.inc');
		include_once ('class/FolderList.class.inc');
		global $folders, $active_folder;
		if( !isset( $folders ) )
			$folders = new FolderList;
		$link = trim( $_POST['link'] );
		$link_name = trim( $_POST['link_name'] );
		$active_folder = trim( $_POST['folder'] );
		$email = trim( $_POST['email'] );
		$name = trim( $_POST['name'] );
	
		if( isset($_POST['add']) )
			$add = $_POST['add'];
		else
			$add = true;
		
		if( $link_name == '' )
			$link_name = $link;
		if( $link != '' )
			$link = "<a href=\"$link\">$link_name</a>";
			
		if( IsDemo() )
		{
			echo "
				<p class=bodyText>This feature disabled in demo version.<br>
				$link</P>
			";
			exit;
		}
			
		if( $name == '' )
		{
			echo "
				<p class=bodyText>User name should be specified.</P>
				<br>$link
			";
			exit;
		}
			
		if( $email == '' )
		{
			echo "
				<p class=bodyText>E-Mail Address should be specified.</P>
				<br>$link
			";
			exit;
		}
		
		$list = new MailList;
		
			
		if( $add ) { // Add adress to maillist
			
			if( $list->HasEMail( $email ) || $list->HasDesc( $name ) )
			{
				print "<P class=varningText>E-Mail or name already exists in database.</P>
				<br>$link
				";
				exit;
			}
			
			
				$password = substr( md5( uniqid('') ), 0, 10);
				
				$list->AddNew( $name, $email, false, false, $password );
				if( $list->Write() )
				{
										
					$SubscribeSubject = eregi_replace ( "<%NAME%>", $name, $SubscribeSubject );
					$SubscribeSubject = eregi_replace ( "<%EMAIL%>", $email, $SubscribeSubject );
					
					$SubscribeMessage = eregi_replace ( "<%NAME%>", $name, $SubscribeMessage );
					$SubscribeMessage = eregi_replace ( "<%EMAIL%>", $email, $SubscribeMessage );
					$SubscribeMessage = eregi_replace ( "<%FOLDER%>", $active_folder, $SubscribeMessage );
					
					$submit_adress = GetConfirmURL ( $email, $active_folder, $password, 1 );
					
					$SubscribeMessage .= "\n$submit_adress";
					
					SendDefault ( $email, $name, $SubscribeSubject, $SubscribeMessage );
									
					print "<P class=BodyText>Awaiting confirmation for adding <b>$email</b> in \"$active_folder\" maillist.</P>
					<br>$link
					";
				}
				else
					print "<P class=varningText><font color=#ff0000>Error writing to the database file.</font></P>";			
		}
		
		else { // Delete adress from maillist
		
		if( !$list->HasAddress( $name, $email ) ) {
			
			print "<P class=varningText>E-Mail, name does not exist in database.</P>
			<br>$link
			";
			exit;
		}
						
			$UnsubscribeSubject = eregi_replace ( "<%NAME%>", $name, $UnsubscribeSubject );
			$UnsubscribeSubject = eregi_replace ( "<%EMAIL%>", $email, $UnsubscribeSubject );
			
			$UnsubscribeMessage = eregi_replace ( "<%NAME%>", $name, $UnsubscribeMessage );
			$UnsubscribeMessage = eregi_replace ( "<%EMAIL%>", $email, $UnsubscribeMessage );
			$UnsubscribeMessage = eregi_replace ( "<%FOLDER%>", $active_folder, $UnsubscribeMessage );
			
			$password = GetPassword ( $email );
			
			$submit_adress = GetConfirmURL ( $email, $active_folder, $password, 0 );
			$UnsubscribeMessage .= "\n$submit_adress";				
						
			SendDefault ( $email, $name, $UnsubscribeSubject, $UnsubscribeMessage );
			
			print "<P class=BodyText>Awaiting confirmation for delete <b>$email</b> from \"$active_folder\" maillist.</P>
			<br>$link
			";
			
			exit;
	}
	
}else {
	
		global $_thisDir;
		$ThisPage = $_thisDir . 'subscribe.php';
		
		$archive_link = $_thisDir . "view_archive.php?id=" . $active_folder;
			
		echo "<font class=BodyText>
This is an example of the form which one you can utillize on a site for collecting email of addresses.
<br>
You have to develope your own form using the parameters specified below and point the post
request of this form to the URL: <b>$ThisPage</b>.
<br><br>
So, from the location below you can copy full text of basic form tag for
your subscription form:<br><br>
<div align=left>
<table border=1 bordercolor=#e0e0e0 bgcolor=#cccccc class=BodyText><tr><td>
<pre>
&lt;form name=\"subscribe_form\" action=\"$ThisPage\"
	method=\"post\" target=\"_blank\"&gt;
		&lt;input type=\"hidden\" name=\"link\" value=\"http://\"&gt;
		&lt;input type=\"hidden\" name=\"link_name\" value=\"Back\"&gt;
		&lt;input type=\"hidden\" name=\"folder\" value=\"$active_folder\"&gt;
		&lt;table&gt;
			&lt;tr&gt;&lt;td&gt;Name:&lt;/td&gt;
			&lt;td&gt;&lt;input type=\"text\" name=\"name\"&gt;&lt;/td&gt;
			&lt;/tr&gt;
			
			&lt;tr&gt;&lt;td&gt;E-Mail Address:&lt;/td&gt;
			&lt;td&gt;&lt;input type=\"text\" name=\"email\"&gt;&lt;/td&gt;
			&lt;/tr&gt;

			
			&lt;!-- You can delete the following row to disable unsubscription. --&gt;
			&lt;tr&gt;&lt;td valign=top&gt;Action:&lt;/td&gt;
			&lt;td&gt;&lt;input type=\"radio\" name=\"add\" value=\"1\" checked&gt; Subscribe&lt;br&gt;
			&lt;input type=\"radio\" name=\"add\" value=\"0\"&gt; Unsubscribe&lt;/td&gt;
			&lt;/tr&gt;
			
			&lt;!-- You can delete the following row to disable viewing archive. --&gt;
			&lt;tr&gt;&lt;td valign=top&gt;
			&lt;a href=\"$archive_link\"&gt;View archive&lt;/a&gt;
			&lt;/td&gt;
					
			&lt;td align=right colspan=2&gt;&lt;input type=submit value=Subscribe&gt;&lt;/td&gt;&lt;/tr&gt;
		&lt;/table&gt;
&lt;/form&gt;
</pre>
</td></tr></table>
</div>
</font>

<form name=subscribe_form method=post action=\"subscribe.php\">
	<table class=bodyText>
		<tr><td colspan=3>
		We strongly recommend to hide these fields in your subscribe form:
		<hr size=1 noshade>
		</td></tr>
		
		<tr><td>URL for back link:</td>
		<td><input type=text name=link value=\"MailManager.php?mid=5\">
		</td><td><b>link</b></td></tr>
		
		<tr><td>Display name for back link:</td>
		<td><input type=text name=link_name value=\"Back\">
		</td><td><b>link_name</b></td></tr>

		<tr><td>Name of maillist to deal with:</td>
		<td><input type=text name=folder value=\"$active_folder\">
		</td><td><b>folder</b></td></tr>
		
		<tr><td colspan=3>
		<br>
		The next field are intended to gather user subscription information:
		<hr size=1 noshade>
		</td></tr>
		
		<tr><td>Name:</td>
		<td><input type=\"text\" name=\"name\"></td>
		<td>&nbsp;</td></tr>
		
		<tr><td>E-Mail Address:</td>
		<td><input type=\"text\" name=\"email\"></td>
		<td>&nbsp;</td></tr>
		
		<tr><td valign=top>Action:</td>
		<td><input type=\"radio\" name=\"add\" value=\"1\" checked> Subscribe<br>
		<input type=\"radio\" name=\"add\" value=\"0\"> Unsubscribe</td>
		<td>&nbsp;</td></tr>
		
		<tr><td align=right colspan=3>Press this button to test subscription form:
		<input type=submit value=Subscribe></td></tr>
	</table>
</form>";
		return;
	
	
	$link = $_POST['link'];
	$link_name = $_POST['link_name'];
		
	if( isset( $link ) && isset( $link_name ) )
	{
		print <<<END
		<a href="$link">$link_name</a>

END;
	
	}

}

	
		
?>